DefaultDisplayDeviceManager (API documentation of hlt.language packages)
Date: 2013-01-30

hlt.language.design.backend

## Class DefaultDisplayDeviceManager

- java.lang.Object
- - hlt.language.design.backend.DefaultDisplayDeviceManager

- All Implemented Interfaces:
    DisplayDeviceManager

      public class DefaultDisplayDeviceManager
      extends java.lang.Object
      implements DisplayDeviceManager

  This class defines print methods (on the standard output). This may be used as a default display device manager which may be redefined in a subclass for another output device (e.g., GUI display).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultDisplayDeviceManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flush()`
    `java.io.PrintStream` | `getOutputStream()`
    `void` | `print(java.lang.String string)`
    `void` | `println()`
    `void` | `println(java.lang.String string)`
    `void` | `setOutputStream(java.io.PrintStream stream)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultDisplayDeviceManager

          public DefaultDisplayDeviceManager()

  - ### Method Detail

    - #### setOutputStream

          public final void setOutputStream(java.io.PrintStream stream)

      Specified by:
        `setOutputStream` in interface `DisplayDeviceManager`

    - #### getOutputStream

          public final java.io.PrintStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `DisplayDeviceManager`

    - #### println

          public void println()

      Specified by:
        `println` in interface `DisplayDeviceManager`

    - #### print

          public void print(java.lang.String string)

      Specified by:
        `print` in interface `DisplayDeviceManager`

    - #### println

          public void println(java.lang.String string)

      Specified by:
        `println` in interface `DisplayDeviceManager`

    - #### close

          public void close()

      Specified by:
        `close` in interface `DisplayDeviceManager`

    - #### flush

          public void flush()
                     throws java.io.IOException

      Specified by:
        `flush` in interface `DisplayDeviceManager`
      Throws:
        `java.io.IOException`